### Method

# Gimp Layer get_show_mask

#### Declaration [src]

    gboolean
    gimp_layer_get_show_mask (
      GimpLayer* layer
    )

#### Description [src]

Get the show mask setting of the specified layer.

This procedure returns the specified layer’s show mask setting. This controls whether the layer or its mask is visible. TRUE indicates that the mask should be visible. If the layer has no mask, then this function returns an error.

#### Return value

Type: `gboolean`

The layer’s show mask setting.